Package org.eclipse.emf.cdo.explorer.checkouts

# Interface CDOCheckout

All Superinterfaces:
  `Adapter`, `CDOElement.StateProvider`, `CDOExplorerElement`, `CDOTimeProvider`, `Comparable<CDOExplorerElement>`, `IAdaptable`, `org.eclipse.net4j.util.event.INotifier`

public interface CDOCheckout extends CDOExplorerElement, CDOTimeProvider, CDOElement.StateProvider
A CDO checkout.

Since:
  4.4
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOCheckout.ObjectType`
`static enum`
`CDOCheckout.State`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

`CDOExplorerElement.StateChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_OFFLINE`
`static final String`
`TYPE_ONLINE_HISTORICAL`
`static final String`
`TYPE_ONLINE_TRANSACTIONAL`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addBranchPoint(CDOBranchPoint branchPoint)`
`void`
`close()`
`URI`
`createResourceURI(String path)`
`CDOCheckout`
`duplicate()`
`int`
`getBranchID()`
`String`
`getBranchPath()`
`CDOBranchPoint`
`getBranchPoint()`
`CDOBranchPoint`
`getBranchPoint(CDOCheckout fromCheckout)`
`CDOBranchPoint[]`
`getBranchPoints()`
`String`
`getEditorOpenerID(CDOID objectID)`
`CDORepository`
`getRepository()`
`CDOID`
`getRootID()`
`String`
`getRootLabel()`
`EObject`
`getRootObject()`
`CDOCheckout.ObjectType`
`getRootType()`
`CDOCheckout.State`
`getState()`
`long`
`getTimeStamp()`
`URI`
`getURI()`
`CDOView`
`getView()`
`CDOView[]`
`getViews()`
`boolean`
`isDirty()`
`boolean`
`isOffline()`
`boolean`
`isOnline()`
`boolean`
`isOpen()`
`boolean`
`isPrefetch()`
`boolean`
`isReadOnly()`
`void`
`open()`
`CDOTransaction`
`openTransaction()`
`CDOTransaction`
`openTransaction(ResourceSet resourceSet)`
`CDOView`
`openView()`
`CDOView`
`openView(boolean readOnly)`
`CDOView`
`openView(boolean readOnly, ResourceSet resourceSet)`
`CDOView`
`openView(ResourceSet resourceSet)`
`void`
`setBranchID(int branchID)`
`void`
`setBranchPoint(int branchID, long timeStamp)`
`void`
`setBranchPoint(CDOBranchPoint branchPoint)`
`void`
`setBranchPoint(CDOBranchPointRef branchPointRef)`
`void`
`setEditorOpenerID(CDOID objectID, String editorOpenerID)`
`void`
`setPrefetch(boolean prefetch)`
`void`
`setReadOnly(boolean readOnly)`
`void`
`setRootID(CDOID rootID)`
`void`
`setTimeStamp(long timeStamp)`
`boolean`
`waitUntilPrefetched()`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Methods inherited from interface org.eclipse.emf.cdo.CDOElement.StateProvider

`getState`

### Methods inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerElement

`addKeyword, delete, getDescription, getError, getFolder, getID, getKeywords, getLabel, getProperties, getStateFolder, getStateFolder, getTransientProperties, getType, hasKeyword, removeKeyword, setDescription, setKeywords, setLabel`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### TYPE_ONLINE_TRANSACTIONAL

static final String TYPE_ONLINE_TRANSACTIONAL

See Also:
  - Constant Field Values

### TYPE_ONLINE_HISTORICAL

static final String TYPE_ONLINE_HISTORICAL

See Also:
  - Constant Field Values

### TYPE_OFFLINE

static final String TYPE_OFFLINE

See Also:
  - Constant Field Values

## Method Details

### getURI

URI getURI()

### isOffline

boolean isOffline()

### isOnline

boolean isOnline()

### getRepository

CDORepository getRepository()

### getBranchID

int getBranchID()

### setBranchID

void setBranchID(int branchID)

### getBranchPath

String getBranchPath()

### getBranchPoint

CDOBranchPoint getBranchPoint()

### setBranchPoint

void setBranchPoint(CDOBranchPoint branchPoint)

### setBranchPoint

void setBranchPoint(CDOBranchPointRef branchPointRef)

Since:
  4.8

### setBranchPoint

void setBranchPoint(int branchID, long timeStamp)

### getBranchPoint

CDOBranchPoint getBranchPoint(CDOCheckout fromCheckout)

### getBranchPoints

CDOBranchPoint[] getBranchPoints()

### addBranchPoint

boolean addBranchPoint(CDOBranchPoint branchPoint)

### getTimeStamp

long getTimeStamp()

Specified by:
  `getTimeStamp` in interface `CDOTimeProvider`

### setTimeStamp

void setTimeStamp(long timeStamp)

### isReadOnly

boolean isReadOnly()

### setReadOnly

void setReadOnly(boolean readOnly)

### getRootID

CDOID getRootID()

### setRootID

void setRootID(CDOID rootID)

### getRootLabel

String getRootLabel()

Since:
  4.8

### isPrefetch

boolean isPrefetch()

Since:
  4.11

### setPrefetch

void setPrefetch(boolean prefetch)

Since:
  4.11

### waitUntilPrefetched

boolean waitUntilPrefetched()

Since:
  4.11

### duplicate

CDOCheckout duplicate()

Since:
  4.5

### getState

CDOCheckout.State getState()

### isOpen

boolean isOpen()

### open

void open()

### close

void close()

### getViews

CDOView[] getViews()

### getView

CDOView getView()

### getRootObject

EObject getRootObject()

### getRootType

CDOCheckout.ObjectType getRootType()

### openView

CDOView openView()

### openView

CDOView openView(ResourceSet resourceSet)

### openView

CDOView openView(boolean readOnly)

### openView

CDOView openView(boolean readOnly, ResourceSet resourceSet)

### openTransaction

CDOTransaction openTransaction()

### openTransaction

CDOTransaction openTransaction(ResourceSet resourceSet)

### createResourceURI

URI createResourceURI(String path)

### isDirty

boolean isDirty()

### getEditorOpenerID

String getEditorOpenerID(CDOID objectID)

### setEditorOpenerID

void setEditorOpenerID(CDOID objectID, String editorOpenerID)